package com.ss.android.ugc.aweme.services;

import X.C2162Rtm;
import X.C2449RyP;
import X.M12;
import X.S0X;
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import com.bytedance.router.SmartRoute;
import com.bytedance.router.SmartRouter;

public final class SetUserNameService implements S0X {
    public C2449RyP mResult;

    static {
        Covode.recordClassIndex(105172);
    }

    public final void returnResult(int i, int i2, Object obj) {
        C2449RyP ryP = this.mResult;
        if (ryP != null) {
            ryP.onResult(i, i2, obj);
            this.mResult = null;
        }
    }

    public final void setUserNameForThirdParty(Activity activity, Bundle bundle, C2449RyP ryP) {
        M12.LIZ(activity, bundle, ryP);
        SmartRoute buildRoute = SmartRouter.buildRoute((Context) activity, "//account/login/signup_or_login");
        buildRoute.withParam(bundle);
        buildRoute.withParam("next_page", C2162Rtm.CREATE_USERNAME.getValue());
        buildRoute.open();
        this.mResult = ryP;
    }
}
